=== debian/changelog ===
festival (1:2.1~release-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 13 Jul 2013 23:42:32 -0400

festival (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * Do not build EsounD support as ESD is long deprecated by Gnome.

  [ Sergio Oller ]
  * Enable PulseAudio native support. Original implementation by
    Matthias Clasen. Depends on libestools-2.1 (>=1:2.1~release-6).
  * Enable ALSA native support.
  * Updated README.Debian to reflect the new audio module options and
    how to set them up.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:20:47 +0200

festival (1:2.1~release-5.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 11 Jan 2013 02:10:49 -0500

festival (1:2.1~release-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: does not define DEB_HOST_MULTIARCH":
    set and export DEB_HOST_MULTIARCH in debian/rules, thanks to Ivo De Decker
    for the solution.
    Build-depend on dpkg-dev (>= 1.16.0) to ensure DEB_HOST_MULTIARCH is
    available.
    (Closes: #696507)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Jan 2013 00:50:19 +0100

festival (1:2.1~release-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Drop file-rc as an alternative to sysv-rc, as Ubuntu
      doesn't support it.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Dec 2012 23:35:31 -0500

festival (1:2.1~release-5) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Peter Drysdale ]
  * Change config to point to new location of multiarch speech_tools
    during compile process. (Fixes FTBS with multiarch enabled speech_tools).
    Build-depend on the multiarch-enabled version of speech_tools.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:37:01 +0100

festival (1:2.1~release-4) unstable; urgency=low

  [ Jean-Philippe MENGUAL ]
  * Added a new build-dep with libaudiofile-dev. Closes: #657597

  [ Samuel Thibault ]
  * Add myself as uploader.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 28 Jan 2012 23:27:39 +0100

festival (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Fix clean rule again.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 08 Jan 2012 03:07:32 +0100

festival (1:2.1~release-2) unstable; urgency=low

  [ Peter Drysdale ]
  * Commits from Jean-Philippe incorporated in master
  * Fix spelling and hyphen lintian problems
  * Move to dh style packaging
  * Remove parts of redundant namespace patching and individually title
    patches. Gcc version patching no longer needed (Closes:  #592052)
  * Provide HTS compatibility module for HTS 2.1 voices (Closes: #589614)
  * General way of adding languages from Sergio Oller (Closes: #606173)
  * Include clustergen module which is on in 2.1 (Closes: #639648)
  * Add Peter Drysdale to uploaders

  [ Samuel Thibault ]
  * debian/rules: fix clean rules.
  * debian/control: depend on quilt.

  [ Jean-Philippe MENGUAL ]
  * New maintainer. Closes #601596
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Fixed debian/patches/lib_festival.scm.diff (desplays replaced with displays)
 
 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:18:09 +0200

festival (1:2.1~release-1ubuntu3) quantal; urgency=low

  * Cherry-pick from 1:2.1~release-5 to fix FTBFS:

  [ Peter Drysdale ]
  * Change config to point to new location of multiarch speech_tools
    during compile process. (Fixes FTBS with multiarch enabled speech_tools).
    Build-depend on the multiarch-enabled version of speech_tools.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 24 Sep 2012 20:00:04 +0200

festival (1:2.1~release-1ubuntu2) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 13:00:35 +0100

festival (1:2.1~release-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, remaining change:
    - debian/control: Drop file-rc as an alternative to
      sysv-rc as Ubuntu doesn't support it.

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 04 May 2011 20:54:27 +0200

festival (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * No longer depend on alsa-oss and oss-compat (Closes: #592411)
  * Add festival.scm for aplay setting
  * Build-Depend on speech-tools 2.1-release version

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 21:21:02 -0600

festival (1:2.0.95~beta-6) unstable; urgency=low

  * Add the multisyn directory to the installation. (Closes: #613682)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 10:14:57 -0600

festival (1:2.0.95~beta-5.1ubuntu2) natty; urgency=low

  * No longer depend on alsa-oss and oss-compat (LP: #612751)
  * Add festival.scm for default audio setting (LP: #662630, #209900)

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 02 Mar 2011 07:39:07 +0100

festival (1:2.0.95~beta-5.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Drop file-rc as an alternative to
      sysv-rc as Ubuntu doesn't support it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 11 Nov 2010 12:16:57 +0100

festival (1:2.0.95~beta-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix making ALSA backend default (Closes: #592442).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Nov 2010 18:23:43 +0100

festival (1:2.0.95~beta-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:

