=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               libestools2.1-dev (>= 1:2.1~release-6),
               libncurses5-dev,
               texinfo,
               quilt,
               libaudiofile-dev,
               dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.4
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: git://git.debian.org/git/tts/festival.git
Vcs-Browser: http://git.debian.org/?p=tts/festival.git

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser (>= 3.105),
         alsa-utils [linux-any],
         lsb-base (>= 3.0-10),
         sysv-rc (>= 2.86.ds1)
Recommends: festvox-kallpc16k | festival-voice
Breaks: festvox-rablpc8k (<< 1.4.0-2),
           festvox-rablpc16k (<< 1.4.0-2),
           festvox-kdlpc16k (<< 1.4.0-4),
           festvox-kdlpc8k (<< 1.4.0-5),
           festvox-don (<< 1.4.0-3),
           festvox-ellpc11k (<< 1.4.0-1),
           festlex-cmu (<< 1.4.0-3),
           festlex-oald (<< 1.4.0-2),
           festlex-poslex (<< 1.4.0-3)
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools2.1-dev (>= 1:2.1~release)
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.
