=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://www.festvox.org/packed/festival/latest/festival-(.*)\.tar\.gz
